package aventi.epark.phprequests;


import com.android.volley.Response;
import com.android.volley.toolbox.StringRequest;

import java.util.HashMap;
import java.util.Map;

public class TicketRequest extends StringRequest{

    private static final String TICKET_REQUEST_URL = "http://67.205.190.1/RequestParking.php";
    private Map<String, String> params;

    public TicketRequest(String user_id, String instanceID, Response.Listener<String> listener) {
        super(Method.POST, TICKET_REQUEST_URL, listener, null);
        params = new HashMap<>();
        params.put("user_id", user_id);
        params.put("instanceID", instanceID);
    }

    @Override
    public Map<String, String> getParams() {
        return params;
    }

}
